Set a Function Environment Variable
curl --request PUT \
--url https://api.getnexor.ai/api/public/cloud-functions/environment-variables/{key} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://api.getnexor.ai/api/public/cloud-functions/environment-variables/{key}"
payload = { "value": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.getnexor.ai/api/public/cloud-functions/environment-variables/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>",
"variable": "<unknown>",
"created": "<unknown>",
"deployment": "<unknown>"
}{
"success": "<unknown>",
"variable": "<unknown>",
"created": "<unknown>",
"deployment": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"field": "<unknown>",
"unknown_keys": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Set a Function Environment Variable
Create or replace a shared environment variable used by Cloud and Scheduled Functions. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PUT
/
cloud-functions
/
environment-variables
/
{key}
Set a Function Environment Variable
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Pattern:
^[A-Z][A-Z0-9_]{0,63}$Body
application/json
Minimum string length:
1Last modified on September 8, 2026
⌘I